Subject: bug#21218: ls -d

From: "Sneeh, Eddie" <[email-masked]>
Date: Mon, 10 Aug 2015 14:07:45 -0700

Ah yes -do is the same as -d -o, overlooked that.  Looks like most the
alphabet is already taken, o is taken, n is taken, l is taken, is y still
available? (Am I seeing this right, only -e and -y are still unused?)

On Mon, Aug 10, 2015 at 1:47 PM, Eric Blake <[email-masked]> wrote:

> On 08/10/2015 01:09 PM, Sneeh, Eddie wrote:
>
> > Since these switches are already taken to do other things, what do you
> > think about this:
> > % ls -fo (list files only)
> > % ls -lo (list links only)
> > % ls -do (list directories only)
>
> Won't work.  'ls -o' is already a valid command, so 'ls -fo' is the same
> as 'ls -o -f' or 'ls -f -o'.  You can't start a long-option name with a
> single dash; at least, not in coreutils which uses getopt_long() (there
> are some exceptions, like gcc, which use getopt_long_only() for
> historical reasons, and which therefore can spell long options with a
> single dash if there is no ambiguity, but use of getopt_long_only() is
> not recommended in new programs).
>
> --
> Eric Blake   eblake redhat com    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
>
>

-- 
Best Regards,
*Eddie Sneeh*